
package com.tmerclub.cloud.common.order.constant;

/**
 * 订单活动类型
 * @author tmerclub
 * @date 2020/12/18
 */
public enum OrderActivityType {

    /**
     * 普通订单
     */
    ORDINARY(0),
    /**
     * 团购活动
     */
    GROUP(1),
    /**
     * 秒杀活动
     */
    SECKILL(2),
//    /**
//     * 满减活动
//     */
//    DISCOUNT(3),
    /**
     * 套餐活动
     */
    COMBO(4),
    /**
     * 赠品活动(该类型的订单项为赠品订单项)
     */
    GIVEAWAY(5),
    /**
     * 组合商品(该类型的订单项为组合的子订单项)
     */
    COMBO_PROD(6);


    private final Integer type;

    public Integer value() {
        return type;
    }


    OrderActivityType(Integer type) {
        this.type = type;
    }

    public static OrderActivityType instance(Integer value) {
        OrderActivityType[] enums = values();
        for (OrderActivityType statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
